<?
include 'inclydings/gzips.php';
include 'mysql.php';
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
include 'inclydings/sesi.php';
if (isset($user)) {
switch($go) {

default:

if(@file("L2dbnam/esql2db/item/$log.dat")){
echo"<b>Боевая экипировка</b><br/><br/>";

echo" <a href=\"inventar.php?$sd&go=itemweapon\">Оружие</a><br/>";
echo" <a href=\"inventar.php?$sd&go=itemshlem\">Шлемы</a><br/>";
echo" <a href=\"inventar.php?$sd&go=itembody\">Роба</a><br/>";
echo" <a href=\"inventar.php?$sd&go=item4it\">Щиты</a><br/>";
echo" <a href=\"inventar.php?$sd&go=itemgloves\">Перчатки</a><br/>";
echo" <a href=\"inventar.php?$sd&go=itemnogi\">Сапоги</a><br/>";
echo" Аксесуары<br/>";
echo" Кольцо <a href=\"itemring.php?$sd\">Правое</a>|";
//echo"<a href=\"itemring2.php?$sd\">Левое</a><br/>";
echo" Серьга<a href=\"serga.php?$sd\"> Правая</a>|";
echo"<a href=\"serga2.php?$sd\">Левая</a><br/>";
echo" <a href=\"sheya.php?$sd\">Ожерелье</a><br/>";
echo"<br/><b>Питомцы</b><br/><br/>";
echo" <a href=\"inventar.php?$sd&go=wolf\">Волк</a><br/>";
echo" <a href=\"inventar.php?$sd&go=dragon\">Дракон</a><br/>";
echo" <a href=\"inventar.php?$sd&go=shmotpet\">Доспехи</a><br/>";
echo"<b><br/>Разное<br/></b><br/>";
echo" <a href=\"inventar.php?$sd&go=itemykr\">Украшение</a><br/>";
echo" <a href=\"itemres.php?$sd\">Ресурсы/Рецепты</a><br/>";
echo" <a href=\"itemlek.php?$sd\">Свитки,SoulShot's</a><br/>";
echo" <a href=\"inventar.php?$sd&go=svitki\">Список Свитки</a><br/>";
echo" <a href=\"listsell2.php?$sd\">Уничтожить вещи</a><br/>";
echo" <a href=\"invdel.php?$sd\">Уничтожить все вещи</a><br/>";
echo" <a href=\"itemall.php?$sd\">Все вещи</a><br/>";
}else{echo"Инвентарь пуст.";}
break;
case 'svitki':
echo"<br/><b>Свитки Заточек:</b><br/><br/>";
echo" <a href=\"swweapon.php?$sd\">Свиток Оружия </a><br/>";
echo" <a href=\"swgloves.php?$sd\">Свиток Перчаток </a><br/>";
echo" <a href=\"swgolova.php?$sd\">Свиток Шлема </a><br/>";
echo" <a href=\"swnogi.php?$sd\">Свиток Сапогов </a><br/>";
echo" <a href=\"sw4it.php?$sd\">Свиток Щита </a><br/>";
echo" <a href=\"swrobe.php?$sd\">Свиток Доспехов </a><br/>";
echo"<b><br/>Редкие Свитки:<br/></b><br/>";
echo" <a href=\"BlessedScroll.php?$sd\">Свиток</a> (Blessed Scroll Enchant Weapon)<br/>";
echo" <a href=\"BlessedGloves.php?$sd\">Свиток</a> (Blessed Scroll Enchant Gloves)<br/>";
echo" <a href=\"BlessedHelmet.php?$sd\">Свиток</a> (Blessed Scroll Enchant Helmet)<br/>";
echo" <a href=\"BlessedBoots.php?$sd\">Свиток</a> (Blessed Scroll Enchant Boots)<br/>";
echo"<a href=\"BlessedShield.php?$sd\">Свиток</a> (Blessed Scroll Enchant Shield)<br/>";
echo" <a href=\"BlessedArmor.php?$sd\">Свиток</a> (Blessed Scroll Enchant Armor)<br/>";
break;
case 'itemnogi':
echo"На Вас одето:<br/>";
if($udata[13]!=="Пусто"){
$u=explode('*',$udata[13]);
echo"<img src=\"pik4erspic/boots/$u[0].gif\" alt=\"pic\"/><br/>";
echo"Сапоги: <u>$udata[13]</u><br/>- - -<br/>";}else{echo"<img src=\"pik4erspic/pusto/boots.gif\" alt=\"pic\"/><br/>Сапоги: Не одето<br/>- - -<br/>";}
$file = file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$total = count($file);

for ($i = 0; $i < $total; $i++){
$data = explode(":||:",$file[$i]);

if($data[2]=="nogi"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];

$data_0[]=$data[0];
$data_1[]=$data[1];
$data_2[]=$data[2];
$data_3[]=$data[3];
$data_4[]=$data[4];
$data_id[]=$i;
}}

if(empty($data_4)){echo"У вас нет сапогов."; include_once"inclydings/down.php"; exit;}

foreach($data_0 as $k=>$v)
{
$u=explode('*',$udata[13]);
$dat_screen[]="<img src=\"pik4erspic/boots/$dat_name[$k].gif\" alt=\"pic\"/><a href=\"odet.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">$data_4[$k]<a href=\"info.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">*</a><br/>";
}


$total = count($dat_screen);


if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

echo"$dat_screen[$i]";

}


if ($start !== 0) {echo ' <a href="inventar.php?start='.($start - 10).'&'.$sd.'&go=itemnogi">Назад</a> ';}
if ($total > $start + 10) {echo ' <a href="inventar.php?start='.($start + 10).'&'.$sd.'&go=itemnogi">Далее</a>';}
break;
case 'itembody':
echo"На Вас одето:<br/>";
if($udata[11]!=="Пусто"){
$u=explode('*',$udata[11]);
echo"<img src=\"pik4erspic/robe/$u[0].gif\" alt=\"pic\"/><br/>";
echo"Роба: <u>$udata[11]</u><br/>- - -<br/>";}else{echo"<img src=\"pik4erspic/pusto/up.gif\" alt=\"pic\"/><br/>Роба: Не одето<br/>- - -<br/>";}
$file = file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$total = count($file);

for ($i = 0; $i < $total; $i++){
$data = explode(":||:",$file[$i]);

if($data[2]=="body"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];

$data_0[]=$data[0];
$data_1[]=$data[1];
$data_2[]=$data[2];
$data_3[]=$data[3];
$data_4[]=$data[4];
$data_id[]=$i;
}}

if(empty($data_4)){echo"У вас нет доспех."; include_once"inclydings/down.php"; exit;}

foreach($data_0 as $k=>$v)
{
$dat_screen[]="<img src=\"pik4erspic/robe/$dat_name[$k].gif\" alt=\"pic\"/><a href=\"odet.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">$data_4[$k]</a> <a href=\"info.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">*</a><br/>";
}


$total = count($dat_screen);


if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

echo"$dat_screen[$i]";

}


if ($start !== 0) {echo ' <a href="inventar.php?start='.($start - 10).'&'.$sd.'&go=itembody">Назад</a> ';}
if ($total > $start + 10) {echo ' <a href="inventar.php?start='.($start + 10).'&'.$sd.'&go=itembody">Далее</a>';}
break;
case 'itemgloves':
echo"На Вас одето:<br/>";
if($udata[52]!=="Пусто"){
$u=explode('*',$udata[52]);
echo"<img src=\"pik4erspic/gloves/$u[0].gif\" alt=\"pic\"/><br/>";
echo"Перчатки: <u>$udata[52]</u><br/>- - -<br/>";}else{echo"<img src=\"pik4erspic/pusto/gloves.gif\" alt=\"pic\"/><br/>Роба: Не одето<br/>- - -<br/>";}
$file = file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$total = count($file);

for ($i = 0; $i < $total; $i++){
$data = explode(":||:",$file[$i]);

if($data[2]=="ryki"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];

$data_0[]=$data[0];
$data_1[]=$data[1];
$data_2[]=$data[2];
$data_3[]=$data[3];
$data_4[]=$data[4];
$data_id[]=$i;
}}

if(empty($data_4)){echo"У вас нет перчаток."; include_once"inclydings/down.php"; exit;}

foreach($data_0 as $k=>$v)
{
$u=explode('*',$udata[52]);
$dat_screen[]="<img src=\"pik4erspic/gloves/$dat_name[$k].gif\" alt=\"pic\"/><a href=\"odet.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">$data_4[$k]</a> <a href=\"info.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">*</a><br/>";
}


$total = count($dat_screen);


if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

echo"$dat_screen[$i]";

}


if ($start !== 0) {echo ' <a href="inventar.php?start='.($start - 10).'&'.$sd.'&go=itemgloves">Назад</a> ';}
if ($total > $start + 10) {echo ' <a href="inventar.php?start='.($start + 10).'&'.$sd.'&go=itemgloves">Далее</a>';}
break;
case 'itemweapon':
echo"На Вас одето:<br/>";
if($udata[12]!=="Пусто"){
$u=explode('*',$udata[12]);
echo"<img src=\"pik4erspic/weapon/$u[0].gif\" alt=\"pic\"/><br/>";

echo"Правая рука: <u>$udata[12]</u><br/>- - -<br/>";}else{echo"<img src=\"pik4erspic/pusto/weapon.gif\" alt=\"pic\"/>Правая рука: Не одето<br/>- - -<br/>";}
$file = file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$total = count($file);

for ($i = 0; $i < $total; $i++){
$data = explode(":||:",$file[$i]);

if($data[2]=="weapon"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];

$data_0[]=$data[0];
$data_1[]=$data[1];
$data_2[]=$data[2];
$data_3[]=$data[3];
$data_4[]=$data[4];
$data_id[]=$i;
}}

if(empty($data_4)){echo"У вас нет оружия."; include_once"inclydings/down.php"; exit;}

foreach($data_0 as $k=>$v)
{
$u=explode('*',$udata[12]);
$dat_screen[]="<img src=\"pik4erspic/weapon/$dat_name[$k].gif\" alt=\"pic\"/><a href=\"odet.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">$data_4[$k]</a> <a href=\"info.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">*</a><br/>";
}


$total = count($dat_screen);


if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

echo"$dat_screen[$i]";

}


if ($start !== 0) {echo ' <a href="inventar.php?start='.($start - 10).'&'.$sd.'&go=itemweapon">Назад</a> ';}
if ($total > $start + 10) {echo ' <a href="inventar.php?start='.($start + 10).'&'.$sd.'&go=itemweapon">Далее</a>';}
break;
case 'item4it':
echo"На Вас одето:<br/>";
if($udata[53]!=="Пусто"){
$u=explode('*',$udata[53]);
echo"<img src=\"pik4erspic/4it/$u[0].gif\" alt=\"pic\"/><br/>";
echo"Щит: <u>$udata[53]</u><br/>- - -<br/>";}else{echo"<img src=\"pik4erspic/pusto/4it.gif\" alt=\"pic\"/><br/>Щит: Не одето<br/>- - -<br/>";}
$file = file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$total = count($file);

for ($i = 0; $i < $total; $i++){
$data = explode(":||:",$file[$i]);

if($data[2]=="4it"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];

$data_0[]=$data[0];
$data_1[]=$data[1];
$data_2[]=$data[2];
$data_3[]=$data[3];
$data_4[]=$data[4];
$data_id[]=$i;
}}

if(empty($data_4)){echo"У вас нет щитов."; include_once"inclydings/down.php"; exit;}

foreach($data_0 as $k=>$v)
{
$u=explode('*',$udata[53]);
$dat_screen[]="<img src=\"pik4erspic/4it/$dat_name[$k].gif\" alt=\"pic\"/><a href=\"odet.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">$data_4[$k]</a> <a href=\"info.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">*</a><br/>";
}


$total = count($dat_screen);


if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

echo"$dat_screen[$i]";

}


if ($start !== 0) {echo ' <a href="inventar.php?start='.($start - 10).'&'.$sd.'&go=item4it">Назад</a> ';}
if ($total > $start + 10) {echo ' <a href="inventar.php?start='.($start + 10).'&'.$sd.'&go=item4it">Далее</a>';}
break;
case 'itemshlem':
echo"На Вас одето:<br/>";
if($udata[10]!=="Пусто"){
echo"<img src=\"pic/shlem/$udata[10].gif\" alt=\"pic\"/><br/>";
echo"Шлем: <u>$udata[10]</u><br/>- - -<br/>";}else{echo"<img src=\"pik4erspic/pusto/helmets.gif\" alt=\"pic\"/><br/>Шлем: Не одето<br/>- - -<br/>";}
$file = file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$total = count($file);

for ($i = 0; $i < $total; $i++){
$data = explode(":||:",$file[$i]);

if($data[2]=="golova"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];

$data_0[]=$data[0];
$data_1[]=$data[1];
$data_2[]=$data[2];
$data_3[]=$data[3];
$data_4[]=$data[4];
$data_id[]=$i;
}}

if(empty($data_4)){echo"У вас нет шлемов."; include_once"inclydings/down.php"; exit;}

foreach($data_0 as $k=>$v)
{
$dat_screen[]="<img src=\"pik4erspic/shlem/$dat_name[$k].gif\" alt=\"pic\"/><a href=\"odet.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">$data_4[$k]</a> <a href=\"info.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">*</a><br/>";
}


$total = count($dat_screen);


if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

echo"$dat_screen[$i]";

}


if ($start !== 0) {echo ' <a href="inventar.php?start='.($start - 10).'&'.$sd.'&go=itemshlem">Назад</a> ';}
if ($total > $start + 10) {echo ' <a href="inventar.php?start='.($start + 10).'&'.$sd.'&go=itemshlem">Далее</a>';}

break;
case 'itemykr':
echo"На Вас одето:<br/>";
if($udata[54]!=="Пусто"){
echo"<img src=\"pik4erspic/ykr/$udata[54].gif\" alt=\"pic\"/><br/>";
echo"Украшение: <u>$udata[54]</u><br/>- - -<br/>";}else{echo"<img src=\"pik4erspic/pusto/ykr.gif\" alt=\"pic\"/><br/>Украшение: Не одето<br/>- - -<br/>";}
$file = file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$total = count($file);

for ($i = 0; $i < $total; $i++){
$data = explode(":||:",$file[$i]);

if($data[2]=="ykr"){
$dat_id[]=$a[$i];
$dat_name[]=$data[4];
foreach($dat_name as $k=>$v)
$gr[]=$dat_gr[$k];

$data_0[]=$data[0];
$data_1[]=$data[1];
$data_2[]=$data[2];
$data_3[]=$data[3];
$data_4[]=$data[4];
$data_id[]=$i;
}}

if(empty($data_4)){echo"У вас нет украшений."; include_once"inclydings/down.php"; exit;}

foreach($data_0 as $k=>$v)
{
$dat_screen[]="<img src=\"pik4erspic/ykr/$dat_name[$k].gif\" alt=\"pic\"/><a href=\"odet.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">$data_4[$k]</a> <a href=\"info.php?$sd&tip=$data_2[$k]&id=$data_id[$k]\">*</a><br/>";
}


$total = count($dat_screen);


if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

echo"$dat_screen[$i]";

}


if ($start !== 0) {echo ' <a href="inventar.php?start='.($start - 10).'&'.$sd.'&go=itemykr">Назад</a> ';}
if ($total > $start + 10) {echo ' <a href="inventar.php?start='.($start + 10).'&'.$sd.'&go=itemykr">Далее</a>';}
break;

}}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>
